FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202104142050.p0 BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202104142050.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=0526ff0 OS_GIT_VERSION=4.7.0-202104142050.p0-0526ff0 SOURCE_DATE_EPOCH=1611357139 SOURCE_GIT_COMMIT=0526ff025d325790d57df34cf2d66810a25da578 SOURCE_GIT_TAG=v0.5.0-rc.0-1160-g0526ff02 SOURCE_GIT_URL=https://github.com/openshift/thanos 
WORKDIR /go/src/github.com/improbable-eng/thanos
COPY . .
ENV GOFLAGS="-mod=vendor"
ENV GO111MODULE=on
ENV GOPROXY=direct
# Installing using the upstream Makefile doesn't work with older versions of Git and newer versions of Go.
# Instead install promu from the upstream tarball.
# For downstream builds, promu is available from the package repositories.
RUN if ! yum install -y prometheus-promu; then \
        curl -s -L https://github.com/prometheus/promu/releases/download/v0.5.0/promu-0.5.0.linux-amd64.tar.gz | tar -xzvf - -C /usr/bin  --strip-components 1 promu-0.5.0.linux-amd64/promu; \
    fi; \
    promu build;
FROM openshift/ose-base:v4.7.0.20210414.211818
ENV __doozer=update BUILD_RELEASE=202104142050.p0 BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202104142050.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=0526ff0 OS_GIT_VERSION=4.7.0-202104142050.p0-0526ff0 SOURCE_DATE_EPOCH=1611357139 SOURCE_GIT_COMMIT=0526ff025d325790d57df34cf2d66810a25da578 SOURCE_GIT_TAG=v0.5.0-rc.0-1160-g0526ff02 SOURCE_GIT_URL=https://github.com/openshift/thanos 

COPY --from=builder /go/src/github.com/improbable-eng/thanos/thanos /bin/thanos

USER       nobody
ENTRYPOINT [ "/bin/thanos" ]

LABEL \
        io.k8s.display-name="OpenShift Thanos" \
        io.k8s.description="Highly available Prometheus setup with long term storage capabilities." \
        io.openshift.tags="prometheus,monitoring" \
        summary="Highly available Prometheus setup with long term storage capabilities." \
        maintainer="OpenShift Monitoring Team <team-monitoring@redhat.com>" \
        name="openshift/ose-thanos" \
        com.redhat.component="ose-thanos-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Monitoring" \
        release="202104142050.p0" \
        io.openshift.build.commit.id="0526ff025d325790d57df34cf2d66810a25da578" \
        io.openshift.build.source-location="https://github.com/openshift/thanos" \
        io.openshift.build.commit.url="https://github.com/openshift/thanos/commit/0526ff025d325790d57df34cf2d66810a25da578" \
        version="v4.7.0"

